Checking if domainname is set moved from ypserv.service to yppasswdd.service

Related: #456249
This commit is contained in:
Honza Horák 2012-05-14 13:45:56 +02:00
parent 99f52366e9
commit e966eb4663
4 changed files with 12 additions and 7 deletions

View File

@ -1,9 +1,9 @@
#!/bin/sh
#
# ypserv-domain
# yppasswdd-pre-setdomain
#
# description: This is part of former ypserv init script, which is used
# to setup proper domainname before starting ypserv daemon
# to setup proper domainname before starting yppasswdd daemon
# itself. If $NISDOMAIN is not defined, it fails.
#
@ -14,7 +14,7 @@ if [ "$DOMAINNAME" = "(none)" -o "$DOMAINNAME" = "" ]; then
domainname $NISDOMAIN
echo $"'$NISDOMAIN' (environment variable)"
else # no domainname found
logger -t ypserv $"domain not found"
logger -t yppasswdd $"domain not found"
exit 1
fi
fi

View File

@ -5,6 +5,7 @@ After=syslog.target network.target rpcbind.service
[Service]
EnvironmentFile=-/etc/sysconfig/yppasswdd
ExecStartPre=/usr/lib/ypserv/yppasswdd-pre-setdomain
ExecStart=/usr/sbin/rpc.yppasswdd.env
[Install]

View File

@ -5,7 +5,6 @@ After=syslog.target network.target rpcbind.service
[Service]
EnvironmentFile=-/etc/sysconfig/network
ExecStartPre=/usr/lib/ypserv/ypserv-pre-setdomain
ExecStart=/usr/sbin/ypserv -f $YPSERV_ARGS
[Install]

View File

@ -4,7 +4,7 @@ Summary: The NIS (Network Information Service) server
Url: http://www.linux-nis.org/nis/ypserv/index.html
Name: ypserv
Version: 2.27
Release: 4%{?dist}
Release: 5%{?dist}
License: GPLv2
Group: System Environment/Daemons
Source0: ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypserv-%{version}.tar.bz2
@ -12,7 +12,7 @@ Source1: ypserv.service
Source2: yppasswdd.service
Source3: ypxfrd.service
Source4: rpc.yppasswdd.env
Source5: ypserv-pre-setdomain
Source5: yppasswdd-pre-setdomain
Requires: gawk, make, portmap, bash >= 2.0
Requires: qdbm
@ -106,7 +106,7 @@ install -m 644 etc/ypserv.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/ypserv.service
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_unitdir}/yppasswdd.service
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_unitdir}/ypxfrd.service
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{scripts_path}/ypserv-pre-setdomain
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{scripts_path}/yppasswdd-pre-setdomain
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cat >$RPM_BUILD_ROOT/etc/sysconfig/yppasswdd <<EOF
@ -191,6 +191,11 @@ make -C /var/yp >&2 || :
%{_includedir}/*/*
%changelog
* Mon May 14 2012 Honza Horak <hhorak@redhat.com> - 2.27-5
- Checking if domainname is set moved from ypserv.service
to yppasswdd.service
Related: #456249
* Thu Apr 26 2012 Honza Horak <hhorak@redhat.com> - 2.27-4
- Build against qdbm and rebuild maps after updating